AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ChatbotComponentCore
  - ChatbotComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- amplifyService
- audioControl
- audioInput
- botName
- chatTitle
- clearComplete
- complete
- completions
- continueConversation
- conversationModeOn
- currentVoiceState
- errorMessage
- inputDisabled
- inputText
- lexResponse
- logger
- messages
- micButtonDisabled
- micText
- ref
- textEnabled
- voiceConfig
- voiceEnabled

### Accessors

- bot
- clearOnComplete
- data
- title

### Methods

- doneSpeakingHandler
- lexResponseHandler
- micButtonHandler
- ngOnInit
- onError
- onInputChange
- onSilenceHandler
- onSubmit
- performOnComplete
- reset

## Constructors

### constructor

- new ChatbotComponentCore(ref: ChangeDetectorRef, amplifyService: AmplifyService): ChatbotComponentCore

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:127

  #### Parameters

  - ##### ref: ChangeDetectorRef

  - ##### amplifyService: AmplifyService

  #### Returns ChatbotComponentCore

## Properties

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:129

### audioControl

audioControl: any

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:123

### audioInput

audioInput: any

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:117

### botName

botName: string

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:106

### chatTitle

chatTitle: string

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:107

### clearComplete

clearComplete: boolean = false

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:108

### complete

complete: EventEmitter<string> = new EventEmitter<string>()

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:127

### completions

completions: any

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:110

### continueConversation

continueConversation: boolean = false

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:115

### conversationModeOn

conversationModeOn: boolean = false

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:119

### currentVoiceState

currentVoiceState: string = STATES.INITIAL.MESSAGE

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:111

### errorMessage

errorMessage: string

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:104

### inputDisabled

inputDisabled: boolean = false

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:112

### inputText

inputText: string = ""

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:105

### lexResponse

lexResponse: any

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:118

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:124

### messages

messages: any = []

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:109

### micButtonDisabled

micButtonDisabled: boolean = false

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:116

### micText

micText: string = STATES.INITIAL.ICON

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:113

### ref

ref: ChangeDetectorRef

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:120

### textEnabled

textEnabled: boolean = true

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:122

### voiceConfig

voiceConfig: any = defaultVoiceConfig

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:114

### voiceEnabled

voiceEnabled: boolean = false

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:121

## Accessors

### bot

bot:

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:164

### clearOnComplete

clearOnComplete:

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:176

### data

data:

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:136

### title

title:

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:171

## Methods

### doneSpeakingHandler

- doneSpeakingHandler(): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:280

  #### Returns void

### lexResponseHandler

- lexResponseHandler(): Promise<void>

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:246

  #### Returns Promise<void>

### micButtonHandler

- micButtonHandler(): Promise<void>

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:318

  #### Returns Promise<void>

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:180

  #### Returns void

### onError

- onError(error: any): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:242

  #### Parameters

  - ##### error: any

  #### Returns void

### onInputChange

- onInputChange(value: string): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:193

  #### Parameters

  - ##### value: string

  #### Returns void

### onSilenceHandler

- onSilenceHandler(): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:217

  #### Returns void

### onSubmit

- onSubmit(e: any): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:197

  #### Parameters

  - ##### e: any

  #### Returns void

### performOnComplete

- performOnComplete(evt: any): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:186

  #### Parameters

  - ##### evt: any

  #### Returns void

### reset

- reset(): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.component.core.ts:231

  #### Returns void